Bug 1399833 - Review Request: python-libnacl - Python bindings for libsodium based on ctypes
Summary: Review Request: python-libnacl - Python bindings for libsodium based on ctypes
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: gil cattaneo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
: 1113310 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-29 21:03 UTC by Jonny Heggheim
Modified: 2016-12-30 14:46 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-12-29 00:03:11 UTC
puntogil: fedora-review+


Attachments (Terms of Use)

Description Jonny Heggheim 2016-11-29 21:03:22 UTC
Spec URL: https://jonny.fedorapeople.org/python-libnacl.spec
SRPM URL: https://jonny.fedorapeople.org/python-libnacl-1.5.0-1.fc25.src.rpm
Description: python-libnacl is used to gain direct access to the functions exposed by Daniel J. Bernstein’s nacl library via libsodium. It has been constructed to maintain extensive documentation on how to use nacl as well as being completely portable.
Fedora Account System Username: jonny

Comment 1 Jonny Heggheim 2016-11-29 21:03:48 UTC
Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=16673348

Comment 2 gil cattaneo 2016-12-02 00:04:53 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[?]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 35 files have unknown license. Detailed
     output of licensecheck in /home/gil/1399833-python-
     libnacl/licensecheck.txt

  All source files are without license headers.
  Please, ask to upstream to confirm the licensing of code and/or content/s, and add license headers
  https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#License_Clarification
  
[x]: License file installed when any subpackage combination is installed.
[?]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[?]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 6 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python2-libnacl , python3-libnacl
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python2-libnacl-1.5.0-1.fc26.noarch.rpm
          python3-libnacl-1.5.0-1.fc26.noarch.rpm
          python-libnacl-1.5.0-1.fc26.src.rpm
python2-libnacl.noarch: E: explicit-lib-dependency libsodium
python2-libnacl.noarch: W: spelling-error Summary(en_US) ctypes -> types, c types
python2-libnacl.noarch: W: spelling-error %description -l en_US nacl -> nail, natl, manacle
python2-libnacl.noarch: E: description-line-too-long C python-libnacl is used to gain direct access to the functions exposed by Daniel J. Bernstein’s nacl library via libsodium. It has been constructed to maintain extensive documentation on how to use nacl as well as being completely portable.
python3-libnacl.noarch: E: explicit-lib-dependency libsodium
python3-libnacl.noarch: W: spelling-error Summary(en_US) ctypes -> types, c types
python3-libnacl.noarch: W: spelling-error %description -l en_US nacl -> nail, natl, manacle
python3-libnacl.noarch: E: description-line-too-long C python-libnacl is used to gain direct access to the functions exposed by Daniel J. Bernstein’s nacl library via libsodium. It has been constructed to maintain extensive documentation on how to use nacl as well as being completely portable.
python-libnacl.src: W: spelling-error Summary(en_US) ctypes -> types, c types
python-libnacl.src: W: spelling-error %description -l en_US nacl -> nail, natl, manacle
python-libnacl.src: E: description-line-too-long C python-libnacl is used to gain direct access to the functions exposed by Daniel J. Bernstein’s nacl library via libsodium. It has been constructed to maintain extensive documentation on how to use nacl as well as being completely portable.
3 packages and 0 specfiles checked; 5 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
python2-libnacl.noarch: E: explicit-lib-dependency libsodium
python2-libnacl.noarch: W: spelling-error Summary(en_US) ctypes -> types, c types
python2-libnacl.noarch: W: spelling-error %description -l en_US nacl -> nail, natl, manacle
python2-libnacl.noarch: E: description-line-too-long C python-libnacl is used to gain direct access to the functions exposed by Daniel J. Bernstein’s nacl library via libsodium. It has been constructed to maintain extensive documentation on how to use nacl as well as being completely portable.
python3-libnacl.noarch: E: explicit-lib-dependency libsodium
python3-libnacl.noarch: W: spelling-error Summary(en_US) ctypes -> types, c types
python3-libnacl.noarch: W: spelling-error %description -l en_US nacl -> nail, natl, manacle
python3-libnacl.noarch: E: description-line-too-long C python-libnacl is used to gain direct access to the functions exposed by Daniel J. Bernstein’s nacl library via libsodium. It has been constructed to maintain extensive documentation on how to use nacl as well as being completely portable.
2 packages and 0 specfiles checked; 4 errors, 4 warnings.



Requires
--------
python2-libnacl (rpmlib, GLIBC filtered):
    libsodium
    python(abi)

python3-libnacl (rpmlib, GLIBC filtered):
    libsodium
    python(abi)



Provides
--------
python2-libnacl:
    python-libnacl
    python2-libnacl
    python2.7dist(libnacl)
    python2dist(libnacl)

python3-libnacl:
    python3-libnacl
    python3.5dist(libnacl)
    python3dist(libnacl)



Source checksums
----------------
https://files.pythonhosted.org/packages/source/l/libnacl/libnacl-1.5.0.tar.gz :
  CHECKSUM(SHA256) this package     : 1af2bc9fab80bd264ed224d9c4cacb0514db2f202eca5a4d90da3b06ba2000de
  CHECKSUM(SHA256) upstream package : 1af2bc9fab80bd264ed224d9c4cacb0514db2f202eca5a4d90da3b06ba2000de


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1399833 --plugins Python -m fedora-rawhide-i386
Buildroot used: fedora-rawhide-i386
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 gil cattaneo 2016-12-02 00:06:47 UTC
Issues:
[?]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated". 35 files have unknown license. Detailed
     output of licensecheck in /home/gil/1399833-python-
     libnacl/licensecheck.txt

All source files are without license headers.
Please, ask to upstream to confirm the licensing of code and/or content/s, and add license headers

https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/LicensingGuidelines#License_Clarification

NON blocking issues:
python3-libnacl.noarch: E: description-line-too-long C python-libnacl is used to gain direct access to the functions exposed by Daniel J. Bernstein’s nacl library via libsodium. It has been constructed to maintain extensive documentation on how to use nacl as well as being completely portable.

Comment 4 Jonny Heggheim 2016-12-03 16:41:25 UTC
(In reply to gil cattaneo from comment #3)
> Issues:
> [?]: License field in the package spec file matches the actual license.
>      Note: Checking patched sources after %prep for licenses. Licenses
>      found: "Unknown or generated". 35 files have unknown license. Detailed
>      output of licensecheck in /home/gil/1399833-python-
>      libnacl/licensecheck.txt
> 
> All source files are without license headers.
> Please, ask to upstream to confirm the licensing of code and/or content/s,
> and add license headers
> 
> https://fedoraproject.org/wiki/Packaging:LicensingGuidelines?rd=Packaging/
> LicensingGuidelines#License_Clarification

Created issue https://github.com/saltstack/libnacl/issues/86 waiting for upstream to respond.

> NON blocking issues:
> python3-libnacl.noarch: E: description-line-too-long C python-libnacl is
> used to gain direct access to the functions exposed by Daniel J. Bernstein’s
> nacl library via libsodium. It has been constructed to maintain extensive
> documentation on how to use nacl as well as being completely portable.

Fixed local, now passes rpmlint without error.

Comment 5 Jonny Heggheim 2016-12-28 21:39:19 UTC
(In reply to Jonny Heggheim from comment #4)
> Created issue https://github.com/saltstack/libnacl/issues/86 waiting for
> upstream to respond.

Confirmed by upstream:
https://github.com/saltstack/libnacl/issues/86#issuecomment-269502546

Comment 6 Gwyn Ciesla 2016-12-28 22:54:48 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-libnacl

Comment 7 Sergio Monteiro Basto 2016-12-30 14:46:55 UTC
*** Bug 1113310 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.